# SwiftcPlatformToolChain

@Incubating
interface SwiftcPlatformToolChain : NativePlatformToolChain

Swiftc specific settings for the tools used to build for a particular platform.

#### Since

4.1

## Functions

getLinker
Link copied to clipboard
abstract fun getLinker(): CommandLineToolConfiguration
Returns the linker tool.
getPlatform
Link copied to clipboard
abstract fun getPlatform(): NativePlatform
getStaticLibArchiver
Link copied to clipboard
abstract fun getStaticLibArchiver(): CommandLineToolConfiguration
Returns the settings to use for the archiver.
getStripper
Link copied to clipboard
abstract fun getStripper(): CommandLineToolConfiguration
Returns the tool for stripping symbols.
getSwiftCompiler
Link copied to clipboard
abstract fun getSwiftCompiler(): CommandLineToolConfiguration
Returns the compiler tool.
getSymbolExtractor
Link copied to clipboard
abstract fun getSymbolExtractor(): CommandLineToolConfiguration
Returns the tool for extracting symbols.